// components/navigator/index.js
const app = getApp()
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    title: {
      type: String,
      value: '杭州壹芯'
    },
    showArrow: {
      type: Boolean,
      value: true
    },
    titleStyle: {
      type: String,
      value: 'black'
    },
    bgColor: {
      type: String,
      value: 'white'
    },
    
  },
  externalClasses: [],

  /**
   * 组件的初始数据
   */
  data: {
		//胶囊位置
		statusBarCont: app.data.statusBarCont,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    back() {
      if(this.data.showArrow) {
        wx.navigateBack({
          delta: 1,
        })
      }
    }
  }
})
